com.corticon.rulesemf.canonicaltestmodel.testsheet

## Interface TestsheetPackage.Literals

- Enclosing interface:
    TestsheetPackage

      public static interface TestsheetPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `DATA_DOCUMENT` The meta object literal for the '`Data Document`' class
    `static org.eclipse.emf.ecore.EEnum` | `DATABASE_MODE` The meta object literal for the '`Database Mode`' enum
    `static org.eclipse.emf.ecore.EClass` | `INPUT` The meta object literal for the '`Input`' class
    `static org.eclipse.emf.ecore.EClass` | `OUTPUT` The meta object literal for the '`Output`' class
    `static org.eclipse.emf.ecore.EReference` | `OUTPUT__POSTED_MESSAGE` The meta object literal for the 'Posted Message' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `POSTED_MESSAGE` The meta object literal for the '`Posted Message`' class
    `static org.eclipse.emf.ecore.EAttribute` | `POSTED_MESSAGE__SEVERITY` The meta object literal for the 'Severity' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `POSTED_MESSAGE__TEXT` The meta object literal for the 'Text' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `RETURN_ENTITY_MODE` The meta object literal for the '`Return Entity Mode`' enum
    `static org.eclipse.emf.ecore.EClass` | `TESTSHEET` The meta object literal for the '`Testsheet`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__CASCADE` The meta object literal for the 'Cascade' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__DATABASE_MODE` The meta object literal for the 'Database Mode' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__DECISION_SERVICE_NAME` The meta object literal for the 'Decision Service Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET__EXPECTED_OUTPUT` The meta object literal for the 'Expected Output' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET__INPUT` The meta object literal for the 'Input' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET__OUTPUT` The meta object literal for the 'Output' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__REMOTE_SERVER_URI` The meta object literal for the 'Remote Server Uri' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__RESTRICT_INFO_RULE_MESSAGES` The meta object literal for the 'Restrict Info Rule Messages' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES` The meta object literal for the 'Restrict Violation Rule Messages' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES` The meta object literal for the 'Restrict Warning Rule Messages' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__RETURN_ENTITY_MODE` The meta object literal for the 'Return Entity Mode' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TESTSHEET__RULE_ACTIVITY` The meta object literal for the 'Rule Activity' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP` The meta object literal for the 'Rule Activity Update Stamp' attribute feature

- - ### Field Detail

    - #### TESTSHEET

          static final org.eclipse.emf.ecore.EClass TESTSHEET

      The meta object literal for the '`Testsheet`' class.
      See Also:
        `TestsheetImpl`, `TestsheetPackageImpl.getTestsheet()`

    - #### TESTSHEET__CASCADE

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__CASCADE

      The meta object literal for the 'Cascade' attribute feature.

    - #### TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__RULE_ACTIVITY_UPDATE_STAMP

      The meta object literal for the 'Rule Activity Update Stamp' attribute feature.

    - #### TESTSHEET__REMOTE_SERVER_URI

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__REMOTE_SERVER_URI

      The meta object literal for the 'Remote Server Uri' attribute feature.

    - #### TESTSHEET__DECISION_SERVICE_NAME

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__DECISION_SERVICE_NAME

      The meta object literal for the 'Decision Service Name' attribute feature.

    - #### TESTSHEET__DATABASE_MODE

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__DATABASE_MODE

      The meta object literal for the 'Database Mode' attribute feature.

    - #### TESTSHEET__RETURN_ENTITY_MODE

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__RETURN_ENTITY_MODE

      The meta object literal for the 'Return Entity Mode' attribute feature.

    - #### TESTSHEET__INPUT

          static final org.eclipse.emf.ecore.EReference TESTSHEET__INPUT

      The meta object literal for the 'Input' containment reference feature.

    - #### TESTSHEET__OUTPUT

          static final org.eclipse.emf.ecore.EReference TESTSHEET__OUTPUT

      The meta object literal for the 'Output' containment reference feature.

    - #### TESTSHEET__EXPECTED_OUTPUT

          static final org.eclipse.emf.ecore.EReference TESTSHEET__EXPECTED_OUTPUT

      The meta object literal for the 'Expected Output' containment reference feature.

    - #### TESTSHEET__RULE_ACTIVITY

          static final org.eclipse.emf.ecore.EReference TESTSHEET__RULE_ACTIVITY

      The meta object literal for the 'Rule Activity' reference feature.

    - #### TESTSHEET__RESTRICT_INFO_RULE_MESSAGES

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__RESTRICT_INFO_RULE_MESSAGES

      The meta object literal for the 'Restrict Info Rule Messages' attribute feature.

    - #### TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__RESTRICT_WARNING_RULE_MESSAGES

      The meta object literal for the 'Restrict Warning Rule Messages' attribute feature.

    - #### TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES

          static final org.eclipse.emf.ecore.EAttribute TESTSHEET__RESTRICT_VIOLATION_RULE_MESSAGES

      The meta object literal for the 'Restrict Violation Rule Messages' attribute feature.

    - #### INPUT

          static final org.eclipse.emf.ecore.EClass INPUT

      The meta object literal for the '`Input`' class.
      See Also:
        `InputImpl`, `TestsheetPackageImpl.getInput()`

    - #### OUTPUT

          static final org.eclipse.emf.ecore.EClass OUTPUT

      The meta object literal for the '`Output`' class.
      See Also:
        `OutputImpl`, `TestsheetPackageImpl.getOutput()`

    - #### OUTPUT__POSTED_MESSAGE

          static final org.eclipse.emf.ecore.EReference OUTPUT__POSTED_MESSAGE

      The meta object literal for the 'Posted Message' containment reference list feature.

    - #### DATA_DOCUMENT

          static final org.eclipse.emf.ecore.EClass DATA_DOCUMENT

      The meta object literal for the '`Data Document`' class.
      See Also:
        `DataDocumentImpl`, `TestsheetPackageImpl.getDataDocument()`

    - #### POSTED_MESSAGE

          static final org.eclipse.emf.ecore.EClass POSTED_MESSAGE

      The meta object literal for the '`Posted Message`' class.
      See Also:
        `PostedMessageImpl`, `TestsheetPackageImpl.getPostedMessage()`

    - #### POSTED_MESSAGE__SEVERITY

          static final org.eclipse.emf.ecore.EAttribute POSTED_MESSAGE__SEVERITY

      The meta object literal for the 'Severity' attribute feature.

    - #### POSTED_MESSAGE__TEXT

          static final org.eclipse.emf.ecore.EAttribute POSTED_MESSAGE__TEXT

      The meta object literal for the 'Text' attribute feature.

    - #### DATABASE_MODE

          static final org.eclipse.emf.ecore.EEnum DATABASE_MODE

      The meta object literal for the '`Database Mode`' enum.
      See Also:
        `DatabaseMode`, `TestsheetPackageImpl.getDatabaseMode()`

    - #### RETURN_ENTITY_MODE

          static final org.eclipse.emf.ecore.EEnum RETURN_ENTITY_MODE

      The meta object literal for the '`Return Entity Mode`' enum.
      See Also:
        `ReturnEntityMode`, `TestsheetPackageImpl.getReturnEntityMode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.